---
tests:phpunit:
  image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/jitesoft/composer:8.3
  needs: []
  script:
    - composer global require phpunit/phpunit
    - composer install
    - phpunit tests

tests:phpstan:
  image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/jitesoft/composer:8.3
  needs: []
  script:
    - composer global require phpstan/phpstan
    - composer install
    - phpstan analyse

tests:phpcs:
  image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/jitesoft/composer:8.3
  needs: []
  script:
    - composer global require squizlabs/php_codesniffer
    - composer install
    - phpcs --standard=PSR12 src/ tests/
